View Issue Details

IDProjectCategoryView StatusLast Update
11756Feature requests[All Projects] ComfortUpdatepublic2017-09-22 11:10
Reportertammo Assigned ToLouisGac  
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version2.x.x 
Summary11756: Comfortupdate: cannot update, but files to resolve window is blank
Description

My update halts because there are files that need to have other access rights, but the files to change window is empty.

TagsNo tags attached.

Activities

tammo

tammo

2016-10-07 10:21

partner  

tammo

tammo

2016-10-07 10:22

partner  

LouisGac

LouisGac

2016-10-07 10:35

manager   ~41171

SELinux ?

jelo

jelo

2016-10-07 10:59

partner   ~41172

Is that a feature request? I cannot see any OS info. Which OS is used?

tammo

tammo

2016-10-07 11:22

partner   ~41173

Bug report, but changing that is impossible for me.

Centos 6.8

Problem still there, even after changing everything to 777 (for testing)

Cannot investigate further now, have to leave. Will pick up Monday.

LouisGac

LouisGac

2016-10-07 11:24

manager   ~41174

Last edited: 2016-10-07 12:55

View 2 revisions

centOS 6.8 has a very old version of PHP and MySQL if I'm not wrong.

Are you using SELinux on this centOS ?

JanE

JanE

2016-10-07 12:45

reporter   ~41175

Solved by changing the PHP from PHP 5.5.38 mod_php (running as user apache) to PHP 5.6.26 as mod_fcgid (running as the user).

The update succeeds (uses a key), but Limesurvey still reports there is a security update available.

We are using Directadmin to administer the server.
The fastgi/mod_fcgid mode is a convenient way to run PHP as the user, while having a persistent opcode cache (per user):
http://forum.directadmin.com/showthread.php?t=45386&p=231990#post231990

jelo

jelo

2016-10-07 12:57

partner   ~41176

@JanE: Did you had an empty directory list when the installer complained about permissions? A empty list is an indication that no real permission/owner issue exist, but the filesystem access is blocked by a security layer e.g. SELinux under CentOS. You didn't stated your OS.

LouisGac

LouisGac

2016-10-07 13:04

manager   ~41177

Last edited: 2016-10-07 13:05

View 2 revisions

@JanE: Yep, but quiet an old solution indeed.
Today, for that purpose, better to use nginx:

"When executing PHP scripts with FastCGI each request is passed from the web server to FastCGI via a communication socket. [...] However a similar end result can also be achieved using nginx in front of Apache [...] so this point alone doesn’t determine the ideal choice for a given scenario."

http://blog.layershift.com/which-php-mode-apache-vs-cgi-vs-fastcgi/

can I close the bug report?

JanE

JanE

2016-10-07 13:05

reporter   ~41178

@jelo: I am Tammo's business partner, so you can find the empty directory list in his screenshot. The update was blocked because PHP 5.5.38 was running as the 'apache' user which had only read permissions.

JanE

JanE

2016-10-07 13:13

reporter   ~41179

@LouisGac: Yes, you can close the bug report.

With respect to nginx: if a system ain't broken, don't fix it. Apache with PHP as mod_fcgid runs fine (also on Windows).

LouisGac

LouisGac

2016-10-07 13:21

manager   ~41180

Last edited: 2016-10-07 13:23

View 3 revisions

Apache on Windows? I close this bug report before I start trolling ^^

Normally, if apache user doesn't have write permissions for some files, comfortUpdate should still tell it to you.

If it doesn't, it's probably related to that:
http://php.net/manual/fr/function.is-writable.php#80990
http://php.net/manual/en/ini.sect.safe-mode.php#ini.safe-mode-gid

JanE

JanE

2016-10-07 13:23

reporter   ~41181

BTW: http://blog.layershift.com/which-php-mode-apache-vs-cgi-vs-fastcgi/ seems to be talking about mod_fastcgi which is something different than mod_fcgid. The Directadmin option 'fastcgi' is confusing, because it really uses mod_fcgid.

https://www.apachelounge.com/viewtopic.php?t=4385

JanE

JanE

2016-10-07 13:30

reporter   ~41182

FYI: there is nothing wrong with Apache and PHP on Windows (anymore). The release manager of PHP 7.0 was a Microsoft employee...

LouisGac

LouisGac

2016-10-07 13:39

manager   ~41184

Last edited: 2016-10-07 13:47

View 2 revisions

JanE: Windows alone without Apache is enough to be wrong :-p
(don't tease my inside troll ^^)

Did you check your safe-mode-gid parameter?

JanE

JanE

2016-10-07 13:52

reporter   ~41186

safe-mode-gid? Under which stone have you've been hiding the last couple of years? http://php.net/manual/en/ini.sect.safe-mode.php
Feeding the troll....

LouisGac

LouisGac

2016-10-07 13:58

manager   ~41187

ooops PHP 5.4 ^^

Just trying to understand why in your server configuration is_writable returns a wrong value (not taking in account the group permission )

JanE

JanE

2016-10-07 14:14

reporter   ~41188

What I happened to see when fixing was that some files had been created by the wrong PHP with the wrong user:group. tmp/comfort_updater_cookie.txt was apache:apache and could not be removed and/or written.

LouisGac

LouisGac

2016-10-07 14:16

manager   ~41190

ok, thank you for the feedback

tammo

tammo

2016-11-07 12:41

partner   ~41749

Please close. Issue is resolved, due to intense conversation between two developers. ;-)

Issue History

Date Modified Username Field Change
2016-10-07 10:21 tammo New Issue
2016-10-07 10:21 tammo Status new => assigned
2016-10-07 10:21 tammo Assigned To => LouisGac
2016-10-07 10:21 tammo File Added: FireShot Screen Capture #031 - 'Gewoon Goed Werk-meter (FNV)' - vragen_gewoongoedwerkmeter_nl_index_php_admin_update.png
2016-10-07 10:22 tammo File Added: FireShot Screen Capture #032 - 'Gewoon Goed Werk-meter (FNV)' - vragen_gewoongoedwerkmeter_nl_index_php_admin_update.png
2016-10-07 10:35 LouisGac Note Added: 41171
2016-10-07 10:59 jelo Note Added: 41172
2016-10-07 11:22 tammo Note Added: 41173
2016-10-07 11:24 LouisGac Note Added: 41174
2016-10-07 12:45 JanE Note Added: 41175
2016-10-07 12:55 LouisGac Note Edited: 41174 View Revisions
2016-10-07 12:57 jelo Note Added: 41176
2016-10-07 13:04 LouisGac Note Added: 41177
2016-10-07 13:05 LouisGac Note Edited: 41177 View Revisions
2016-10-07 13:05 JanE Note Added: 41178
2016-10-07 13:13 JanE Note Added: 41179
2016-10-07 13:21 LouisGac Note Added: 41180
2016-10-07 13:21 LouisGac Note Edited: 41180 View Revisions
2016-10-07 13:23 LouisGac Note Edited: 41180 View Revisions
2016-10-07 13:23 JanE Note Added: 41181
2016-10-07 13:30 JanE Note Added: 41182
2016-10-07 13:39 LouisGac Note Added: 41184
2016-10-07 13:47 LouisGac Note Edited: 41184 View Revisions
2016-10-07 13:52 JanE Note Added: 41186
2016-10-07 13:58 LouisGac Note Added: 41187
2016-10-07 14:14 JanE Note Added: 41188
2016-10-07 14:16 LouisGac Note Added: 41190
2016-11-07 12:41 tammo Note Added: 41749
2016-11-14 10:54 LouisGac Status assigned => resolved
2016-11-14 10:54 LouisGac Resolution open => fixed
2017-09-22 11:10 c_schmitz Status resolved => closed
2017-09-22 11:10 c_schmitz Fixed in Version => 2.x.x